
Installer - Bug #16747

Foreman-Installer puppetdb plugin cleanup

09/29/2016 03:26 PM - Michael Deffenbaugh

Status: New   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When removing the puppetdb plugin using foreman-installer:

foreman-installer --no-enable-foreman-plugin-puppetdb

The plugin doesn't actually get uninstalled.

Related issues:

Related to Foreman - Feature #3588: Uninstall plugins - from GUI or command line New 11/06/2013

History

#1 - 09/30/2016 02:59 AM - Dominic Cleal

- Related to Feature #3588: Uninstall plugins - from GUI or command line added

#2 - 09/30/2016 03:00 AM - Dominic Cleal

- Project changed from Foreman to Installer

Most plugins can't be uninstalled safely at present, #3588 tracks that. When implemented this ticket could be used to implement support in the

installer. --no-enable-* only removes management of the plugin.
